<?php
class ControllerCommonColumnLeft extends Controller {
	public function index() {
		if (isset($this->request->get['token']) && isset($this->session->data['token']) && ($this->request->get['token'] == $this->session->data['token'])) {
			$this->load->language('common/column_left');
	
			$this->load->model('user/user');
	
			$this->load->model('tool/image');
	
			$user_info = $this->model_user_user->getUser($this->user->getId());
	
			if ($user_info) {
				$data['firstname'] = $user_info['firstname'];
				$data['lastname'] = $user_info['lastname'];
	
				$data['user_group'] = $user_info['user_group'];
	
				if (is_file(DIR_IMAGE . $user_info['image'])) {
					$data['image'] = $this->model_tool_image->resize($user_info['image'], 45, 45);
				} else {
					$data['image'] = '';
				}
			} else {
				$data['firstname'] = '';
				$data['lastname'] = '';
				$data['user_group'] = '';
				$data['image'] = '';
			}			
		
			// Create a 3 level menu array
			// Level 2 can not have children
			
			// Menu
			$data['menus'][] = array(
				'id'       => 'menu-dashboard',
				'icon'	   => 'fa-dashboard',
				'name'	   => $this->language->get('text_dashboard'),
				'href'     => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], true),
				'children' => array()
			);
			
			// Catalog
			$catalog = array();
			
			if ($this->user->hasPermission('access', 'catalog/category')) {
				$catalog[] = array(
					'name'	   => $this->language->get('text_category'),
					'href'     => $this->url->link('catalog/category', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);
			}
			
			if ($this->user->hasPermission('access', 'catalog/bar')) {
				$catalog[] = array(
					'name'	   => "Bar Items",
					'href'     => $this->url->link('catalog/bar', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);
			}
			
			if ($this->user->hasPermission('access', 'catalog/food')) {
				$catalog[] = array(
					'name'	   => "Food Menu Item",
					'href'     => $this->url->link('catalog/food', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);
			}
			
			if ($this->user->hasPermission('access', 'catalog/kitchen')) {
				$catalog[] = array(
					'name'	   => "Kitchen Items",
					'href'     => $this->url->link('catalog/kitchen', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);
			}
			
			
			
			if ($this->user->hasPermission('access', 'catalog/option')) {
				$catalog[] = array(
					'name'	   => $this->language->get('text_option'),
					'href'     => $this->url->link('catalog/option', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);
			}
			
			
			if ($catalog) {
				$data['menus'][] = array(
					'id'       => 'menu-catalog',
					'icon'	   => 'fa-tags', 
					'name'	   => $this->language->get('text_catalog'),
					'href'     => '',
					'children' => $catalog
				);		
			}
			
	
			
			
			// Sales
			$sale = array();
			
			if ($this->user->hasPermission('access', 'sale/table_kot')) {
				$sale[] = array(
					'name'	   => "Live Table Kot",
					'href'     => $this->url->link('sale/table_kot', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
			
			if ($this->user->hasPermission('access', 'sale/takeaway_kot')) {
				$sale[] = array(
					'name'	   => "Takeaway KOT",
					'href'     => $this->url->link('sale/takeaway_kot', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
			
			
			if ($this->user->hasPermission('access', 'sale/kot_display')) {
				$sale[] = array(
					'name'	   => "Kot Display",
					'href'     => $this->url->link('sale/kot_display', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
			
			if ($this->user->hasPermission('access', 'sale/pos')) {
				$sale[] = array(
					'name'	   => "POS",
					'href'     => $this->url->link('sale/pos', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
			
			if ($this->user->hasPermission('access', 'sale/edit_order')) {
				$sale[] = array(
					'name'	   => "Edit Order",
					'href'     => $this->url->link('sale/edit_order', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
		
			
			
			
			if ($sale) {
				$data['menus'][] = array(
					'id'       => 'menu-sale',
					'icon'	   => 'fa-shopping-cart', 
					'name'	   => $this->language->get('text_sale'),
					'href'     => '',
					'children' => $sale
				);
			}
			
				// purchase
			$purchase = array();
			
			if ($this->user->hasPermission('access', 'purchase/bar_purchase')) {
				$purchase[] = array(
					'name'	   => "Bar Purchase",
					'href'     => $this->url->link('purchase/bar_purchase', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
			
			if ($this->user->hasPermission('access', 'purchase/kitchen_purchase')) {
				$purchase[] = array(
					'name'	   => "Kitchen Purchase",
					'href'     => $this->url->link('purchase/kitchen_purchase', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
			
			
			
			if ($purchase) {
				$data['menus'][] = array(
					'id'       => 'menu-sale',
					'icon'	   => 'fa-dollar', 
					'name'	   => "Purchase",
					'href'     => '',
					'children' => $purchase
				);
			}
			
			
				// purchase
			$consumption = array();
			
			if ($this->user->hasPermission('access', 'consumption/consumption')) {
				$consumption[] = array(
					'name'	   => "Consumption",
					'href'     => $this->url->link('consumption/consumption', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
			
			if ($consumption) {
				$data['menus'][] = array(
					'id'       => 'menu-sale',
					'icon'	   => 'fa-table', 
					'name'	   => "Consumption",
					'href'     => '',
					'children' => $consumption
		
				);
			}
		
			
			// Marketing
			$marketing = array();
			
			if ($this->user->hasPermission('access', 'marketing/contact')) {
				$marketing[] = array(
					'name'	   => $this->language->get('text_contact'),
					'href'     => $this->url->link('marketing/contact', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);
			}
			
			if ($marketing) {
				$data['menus'][] = array(
					'id'       => 'menu-marketing',
					'icon'	   => 'fa-share-alt', 
					'name'	   => $this->language->get('text_marketing'),
					'href'     => '',
					'children' => $marketing
				);	
			}
			
			// System
			$system = array();
			
			if ($this->user->hasPermission('access', 'setting/setting')) {
				$system[] = array(
					'name'	   => $this->language->get('text_setting'),
					'href'     => $this->url->link('setting/store', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
		
			// Users
			$user = array();
			
			if ($this->user->hasPermission('access', 'user/user')) {
				$user[] = array(
					'name'	   => $this->language->get('text_users'),
					'href'     => $this->url->link('user/user', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
			
			if ($this->user->hasPermission('access', 'user/user_permission')) {	
				$user[] = array(
					'name'	   => $this->language->get('text_user_group'),
					'href'     => $this->url->link('user/user_permission', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
			
			if ($user) {
				$system[] = array(
					'name'	   => $this->language->get('text_users'),
					'href'     => '',
					'children' => $user		
				);
			}
			
			// Localisation
			$localisation = array();
			
			if ($this->user->hasPermission('access', 'localisation/location')) {
				$localisation[] = array(
					'name'	   => $this->language->get('text_location'),
					'href'     => $this->url->link('localisation/location', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
			
			
			if ($this->user->hasPermission('access', 'localisation/currency')) {
				$localisation[] = array(
					'name'	   => $this->language->get('text_currency'),
					'href'     => $this->url->link('localisation/currency', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);
			}
			
			if ($this->user->hasPermission('access', 'localisation/country')) {
				$localisation[] = array(
					'name'	   => $this->language->get('text_country'),
					'href'     => $this->url->link('localisation/country', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);
			}
			
			if ($this->user->hasPermission('access', 'localisation/zone')) {
				$localisation[] = array(
					'name'	   => $this->language->get('text_zone'),
					'href'     => $this->url->link('localisation/zone', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);
			}
			
			if ($this->user->hasPermission('access', 'localisation/geo_zone')) {
				$localisation[] = array(
					'name'	   => $this->language->get('text_geo_zone'),
					'href'     => $this->url->link('localisation/geo_zone', 'token=' . $this->session->data['token'], true),
					'children' => array()
				);
			}
			
			// Tax		
			$tax = array();
			
			if ($this->user->hasPermission('access', 'localisation/tax_class')) {
				$tax[] = array(
					'name'	   => $this->language->get('text_tax_class'),
					'href'     => $this->url->link('localisation/tax_class', 'token=' . $this->session->data['token'], true),
					'children' => array()
				);
			}
			
			if ($this->user->hasPermission('access', 'localisation/tax_rate')) {
				$tax[] = array(
					'name'	   => $this->language->get('text_tax_rate'),
					'href'     => $this->url->link('localisation/tax_rate', 'token=' . $this->session->data['token'], true),
					'children' => array()
				);
			}
			
			if ($tax) {	
				$localisation[] = array(
					'name'	   => $this->language->get('text_tax'),
					'href'     => '',
					'children' => $tax		
				);
			}
			
			if ($this->user->hasPermission('access', 'localisation/length_class')) {
				$localisation[] = array(
					'name'	   => $this->language->get('text_length_class'),
					'href'     => $this->url->link('localisation/length_class', 'token=' . $this->session->data['token'], true),
					'children' => array()
				);
			}
			
			if ($this->user->hasPermission('access', 'localisation/weight_class')) {
				$localisation[] = array(
					'name'	   => $this->language->get('text_weight_class'),
					'href'     => $this->url->link('localisation/weight_class', 'token=' . $this->session->data['token'], true),
					'children' => array()
				);
			}
			
			if ($localisation) {																
				$system[] = array(
					'name'	   => $this->language->get('text_localisation'),
					'href'     => '',
					'children' => $localisation	
				);
			}
			
			
			if ($system) {
				$data['menus'][] = array(
					'id'       => 'menu-system',
					'icon'	   => 'fa-cog', 
					'name'	   => $this->language->get('text_system'),
					'href'     => '',
					'children' => $system
				);
			}
			
			// Report
			$report = array();
			
			// Report Sales
			$report_sale = array();	
			
			if ($this->user->hasPermission('access', 'report/sale_order')) {
				$report_sale[] = array(
					'name'	   => "Bar Sale",
					'href'     => $this->url->link('report/sale_order', 'token=' . $this->session->data['token'], true),
					'children' => array()
				);
			}
			
			if ($this->user->hasPermission('access', 'report/sale_order')) {
				$report_sale[] = array(
					'name'	   => "Food Sale",
					'href'     => $this->url->link('report/sale_order', 'token=' . $this->session->data['token'], true),
					'children' => array()
				);
			}
			
			
				
			if ($report_sale) {
				$report[] = array(
					'name'	   => $this->language->get('text_report_sale'),
					'href'     => '',
					'children' => $report_sale
				);			
			}
			
			//sale tax
			$sale_tax = array();
			
			if ($this->user->hasPermission('access', 'report/sale_tax')) {
				$sale_tax[] = array(
					'name'	   => "Bar Sale Tax",
					'href'     => $this->url->link('report/sale_tax', 'token=' . $this->session->data['token'], true),
					'children' => array()	
				);
			}
			
			if ($this->user->hasPermission('access', 'report/sale_tax')) {
				$sale_tax[] = array(
					'name'	   => "Food Sale Tax",
					'href'     => $this->url->link('report/sale_tax', 'token=' . $this->session->data['token'], true),
					'children' => array()	
				);
			}
			
			if ($sale_tax) {	
				$report[] = array(
					'name'	   => "Sale Tax",
					'href'     => '',
					'children' => $sale_tax	
				);
			}
		
		
		//Inventory
			$inventory = array();
			
			if ($this->user->hasPermission('access', 'report/sale_tax')) {
				$inventory[] = array(
					'name'	   => "Bar Inventory",
					'href'     => $this->url->link('report/sale_tax', 'token=' . $this->session->data['token'], true),
					'children' => array()	
				);
			}
			
			if ($this->user->hasPermission('access', 'report/sale_tax')) {
				$inventory[] = array(
					'name'	   => "Kitchen Inventory",
					'href'     => $this->url->link('report/sale_tax', 'token=' . $this->session->data['token'], true),
					'children' => array()	
				);
			}
			
			if ($inventory) {	
				$report[] = array(
					'name'	   => "Inventory",
					'href'     => '',
					'children' => $inventory
				);
			}
		
			
			
		
			// Report Customers				
			$report_customer = array();
			
			if ($this->user->hasPermission('access', 'report/customer_order')) {	
				$report_customer[] = array(
					'name'	   => $this->language->get('text_report_customer_order'),
					'href'     => $this->url->link('report/customer_order', 'token=' . $this->session->data['token'], true),
					'children' => array()
				);
			}
			
		    if ($this->user->hasPermission('access', 'customer/customer')) {
				$report_customer[] = array(
					'name'	   => $this->language->get('text_customer'),
					'href'     => $this->url->link('customer/customer', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
		
			
			
			if ($report_customer) {	
				$report[] = array(
					'name'	   => $this->language->get('text_report_customer'),
					'href'     => '',
					'children' => $report_customer	
				);
			}
			
			//report purchase
			$report_purchase = array();
			
			if ($this->user->hasPermission('access', 'report/purchase_report_bar')) {	
				$report_purchase[] = array(
					'name'	   => "Bar Purchase",
					'href'     => $this->url->link('report/purchase_report_bar', 'token=' . $this->session->data['token'], true),
					'children' => array()
				);
			}
			
		    if (!$this->user->hasPermission('access', 'report/purchase_kitchen')) {
				$report_purchase[] = array(
					'name'	   => "Kitchen Purchase",
					'href'     => $this->url->link('report/purchase_report_kitchen', 'token=' . $this->session->data['token'], true),
					'children' => array()		
				);	
			}
		
			
			
			if ($report_purchase) {	
				$report[] = array(
					'name'	   => "Purchase",
					'href'     => '',
					'children' => $report_purchase	
				);
			}
			
			
			
			
			
			if ($report) {	
				$data['menus'][] = array(
					'id'       => 'menu-report',
					'icon'	   => 'fa-bar-chart-o', 
					'name'	   => $this->language->get('text_reports'),
					'href'     => '',
					'children' => $report
				);	
			}		
			
			
			
			return $this->load->view('common/column_left', $data);
		}
	}
}